Skip to main content

Create Order

POST 

/orders

Creates a new merchant order.

Request

Header Parameters

    idempotency-key string

    Idempotency Key for the request

    Example: 31f9952c-0058-458b-8244-4ae110ef1556

Body

    processingEntityId uuidrequired

    Processing entityId provided by Nuvei.

    merchantTransactionId string

    ID of the transaction in the merchant system.

    Possible values: <= 45 characters

    productId string

    A free text parameter used to identify the product/service sold. If this parameter is not sent or is sent with an empty value, then it contains the concatenation of all item names up until the parameter maximum length. Risk rules and traffic management rules are usually built based on this parameter value.

    Possible values: <= 50 characters

    currencyConversion

    object

    type stringrequired

    The type of the currency conversion.

    Possible values: [MCP]

    originalAmount numberrequired

    The original amount of the transaction in the currency that the merchant requested.

    originalCurrency stringrequired

    The 3-letter ISO currency code of the currency that the merchant requested in the transaction.

    Possible values: >= 3 characters and <= 3 characters

    amount numberrequired

    The transaction amount.

    currency stringrequired

    Possible values: >= 3 characters and <= 3 characters

    transactionType PaymentTransactionType (string)

    The type of transaction.

    Possible values: [Auth, PreAuth, Sale]

    isMoto boolean

    Indicates whether the transaction was done over email/phone or is a regular transaction. Values: true = Moto transaction | false = no Moto Transaction

    isPartialApproval boolean

    Describes a situation where the deposit was completed and processed with an amount lower than the requested amount due to a consumer's lack of funds within the desired payment method. Partial approval is only supported by Nuvei acquiring. Values: true - Allow partial approval | false - Not allow partial approval

    zeroAmountReason string

    For Authentication Zero scenarios, this optional field defines the authentication type.

    Possible values: [recurring, installments, addCard, maintainCard, accountVerification]

    amountDetails

    object

    totalDiscount number

    Amount of discount applied.

    Default value: 0
    totalHandling number

    Amount of handling.

    Default value: 0
    totalShipping number

    Amount of freight or shipping.

    Default value: 0
    totalTax number

    Total tax amount.

    Default value: 0

    items

    object[]

  • Array [

  • name stringrequired
    price numberrequired
    quantity integerrequired
  • ]

  • dynamicDescriptor

    object

    merchantName string

    The merchant name, as is displayed for the transaction on the consumer's card statement.

    Possible values: <= 25 characters

    merchantContactInformation string

    The merchant contact information, as is displayed for the transaction on the consumer's card statement. It can also be an email address.

    Possible values: <= 255 characters

    subMerchant

    object

    id string

    Represents the internal merchant’s ID, which is forwarded to Visa and Mastercard

    Possible values: <= 15 characters

    city string

    The payment facilitator’s sub-merchant’s city name.

    Possible values: <= 20 characters

    countryCode string

    The payment facilitator’s sub-merchant’s 2-letter ISO country code.

    Possible values: >= 2 characters and <= 2 characters

    name string

    The payment facilitator’s sub-merchant’s name.

    Possible values: <= 20 characters

    address string

    The payment facilitator’s sub-merchant’s address.

    zip string

    The payment facilitator’s sub-merchant’s zip code.

    phone string

    The payment facilitator’s sub-merchant’s phone number.

    state string

    The payment facilitator’s sub-merchant’s state.

    url string

    The payment facilitator’s sub-merchant’s url.

    urlDetails

    object

    With this class, a merchant can dynamically provide possible URLs to which the end user is redirected after a payment is made, as well as a dynamic URL for DMNs.

    webhookUrl string

    The URL to which notifications for outcome of the financial transactions is sent.

    successUrl string

    The URL to which the end user is redirected in case of a successful transaction with an APM.

    failureUrl string

    The URL to which the end user is redirected in case of an unsuccessful transaction with an APM.

    pendingUrl string

    The URL to which the end user is redirected in case of a pending transaction with an APM.

    returnToAppUrl string

    The URL to which the end user is redirected in case of a successful transaction with an APM that shuold open in an external browser.

    rebill

    object

    expiry date

    Recurring Expiry in the format: YYYYMMDD. REQUIRED if step = init. We recommend setting expiry to a value of no more than 5 years from the date of the initial transaction processing date

    frequency integer

    Recurring Frequency in days. REQUIRED if step = init.

    step string

    Indicates the type of transaction performed as part of a rebilling plan.

    Possible values: [init, recurring, MIT, noShow, delayedCharges]

    deviceDetails

    object

    deviceName string
    deviceOS string
    deviceType string

    Supported device types include: DESKTOP, SMARTPHONE, TABLET, TV, UNKNOWN (if device type cannot be recognized).

    ipAddress string

    The customer's IP address.

    browser

    object

    acceptHeader string

    Exact content of the HTTP accept headers as sent to the 3DS Requestor from the cardholder's browser. If the total length of the accept header sent by the browser exceeds 2048 characters, the 3D-Secure Server truncates the excess portion.

    colorDepth integer

    Value representing the bit depth of the color palette for displaying images, in bits per pixel. Obtained from cardholder browser using the screen.colorDepth property. Values: 1, 4, 8, 15, 16, 24, 32, 48

    javaEnabled boolean

    Represents the ability of the cardholder browser to execute Java. REQUIRED when javaScriptEnabled is TRUE. Value is returned from the navigator.javaEnabled property. Values: TRUE, FALSE

    javaScriptEnabled boolean

    Determines whether the browser is JavaScript enabled (from navigator.javaScriptEnabled property). Values: TRUE, FALSE

    language string

    Value representing the browser language as defined in IETF BCP47. Returned from navigator.language property.

    screenHeight integer

    Total height of the cardholder's screen in pixels. Value is returned from the screen.height property.

    screenWidth integer

    Total width of the cardholder's screen in pixels. Value is returned from the screen.width property.

    timeZone string

    Time difference between UTC time and the cardholder browser local time, in minutes. Values: Value is returned from the getTimezoneOffset() method.

    userAgent string

    Exact content of the HTTP user-agent header. Values: If the total length of the user-agent header sent by the browser exceeds 2048 characters, the 3D-Secure Server truncates the excess portion.

    msisdn string

    Device MSISDN

    iccId string

    Device ICCID

    imei string

    Device IMEI

    devicePossessionStatus DevicePossessionStatus (string)

    Indication if the device is lost or stolen

    Possible values: [lost, stolen]

    custom

    object

    property name* string

    buyerDetails

    object

    buyerId string

    The buyerId is required if buyerToken is provided as a value in the store parameter.

    Possible values: <= 255 characters

    firstName string

    Possible values: <= 30 characters

    middleName string

    Possible values: <= 40 characters

    lastName string

    Possible values: <= 40 characters

    companyName string

    Possible values: <= 100 characters

    locale string

    Possible values: <= 5 characters

    dateOfBirth date
    email string

    Possible values: <= 100 characters

    phone string

    Possible values: <= 18 characters

    phone2 string

    Possible values: <= 18 characters

    workPhone string

    Possible values: <= 18 characters

    identificationType Identification Type Code (string)

    Possible values: [DateOfBirth, CustomerId, NationalId, PassportNumber, DriverLicense, TaxId, CompanyRegistrationNumber, ProxyId, SocialSecurityNumber, AlienRegistrationNumber, LawEnforcementId, MilitaryId, TravelId, Email, PhoneNumber]

    identificationValue Identification Value (string)

    Possible values: <= 100 characters

    cardHolderEntityType Cardholder Entity Type (string)

    Possible values: [Business, Individual]

    nationalIdentificationNumber string

    Possible values: <= 25 characters

    accountReference BuyerAccountReference (string)

    Possible values: <= 34 characters

    billingAddress

    object

    address string

    Possible values: <= 60 characters

    addressLine2 string

    Possible values: <= 60 characters

    addressLine3 string

    Possible values: <= 60 characters

    street string

    Possible values: <= 100 characters

    state string

    Possible values: <= 6 characters

    zip string

    Possible values: <= 10 characters

    city string

    Possible values: <= 30 characters

    countryCode stringrequired

    2 digits ISO country code

    Possible values: >= 2 characters and <= 2 characters

    phone string

    Possible values: <= 18 characters

    addressMatch boolean

    shippingAddress

    object

    sameAsBilling boolean
    Default value: false
    address string

    Possible values: <= 60 characters

    addressLine2 string

    Possible values: <= 60 characters

    addressLine3 string

    Possible values: <= 60 characters

    streetNumber string

    Possible values: <= 20 characters

    state string

    Possible values: <= 6 characters

    zip string

    Possible values: <= 10 characters

    city string

    Possible values: <= 30 characters

    countryCode string

    Possible values: >= 2 characters and <= 2 characters

    firstName string

    Possible values: <= 30 characters

    lastName string

    Possible values: <= 40 characters

    phone string

    Possible values: <= 18 characters

    phone2 string

    Possible values: <= 18 characters

    permittedOperations PermittedOperation (string)[]required

    Array of operations that are allowed for this order. Must be any combination of payment, settle, refund and void.

    Possible values: [payments, operations], >= 1

    uiConfig

    object

    property name* string
    storePaymentOption PaymentTokenStorageOption (string)

    Possible values: [none, tokenOnly, buyerToken]

    continueWithoutLiabilityShift boolean

    If the continueWithoutLiabilityShift parameter is provided, the behavior is:
    true: The transaction will be processed as either non-3D or 3D, depending on other conditions.
    false: The transaction will be processed strictly as AUTH3D.

    Default value: true

    threeD

    object

    challenge

    object

    preference string

    Can be used either during an Authentication request when Nuvei is the 3D-Secure v2 MPI or during an Authorization request without any prior authentication when the transaction amount allows it. Please contact our Risk Team to set this threshold amount. Values: ChallengeRequest, ExemptionRequest, NoPreference

    Possible values: [Challenge, Exemption, NoPreference]

    exemptionReason string

    If the merchant has submitted an exemption requested using mpiChallengePreference, this parameter displays the reason for the request. Values: LowValuePayment, TransactionRiskAnalysis

    Possible values: [InitialMerchantInitiatedTransaction, InitialRecurringPayment, AddCard, AccountVerification, MerchantInitiatedTransaction, RecurringPayment, MerchantSCADelegation, WalletSCADelegation, CorporateCard, TrustedBeneficiaries, AlwaysChallenge, NoPreference, RuleEngineChallenge, LowValueTransaction, TransactionRiskAnalysis, SoftDeclineReSubmissionTo3DS2, ElevatedWalletAuthentication, FraudFilterReSubmissionTo3DS2]

    userAccount

    object

    addCardAttempts24H integer

    Number of Add Card attempts in the last 24 hours.

    addressFirstUseDate date

    Date when the shipping address used for this transaction was first used with the 3DS Requestor in the format: YYYYMMDD.

    addressFirstUseIndicator string

    Indicates when the shipping address used for this transaction was first used with the 3DS Requestor. Values: 01 = This transaction | 02 = Less than 30 days | 03 = 30–60 days | 04 = More than 60 days

    Possible values: [01, 02, 03, 04]

    age string

    Length of time that the cardholder has had the account with the 3DS Requestor. Values: 01 = No account (payment as a guest) | 02 = Created during this transaction | 03 = Less than 30 days | 04 = 30–60 days | 05 = More than 60 days

    Possible values: [01, 02, 03, 04, 05]

    lastChangeDate date

    Date (in YYYYMMDD format) that the cardholder's account with the 3DS Requestor was last changed, including Billing or Shipping address, new payment account, or new user(s) added.

    lastChangeIndicator string

    Length of time since the cardholder's account information with the 3DS Requestor was last changed, including Billing or Shipping address, new payment account, or new user(s) added. Values: 01 = Changed during this transaction | 02 = Less than 30 days | 03 = 30–60 days | 04 = More than 60 days

    Possible values: [01, 02, 03, 04]

    cardSavedDate date

    The date on which the payment account was enrolled in the cardholder's account with the 3DS Requestor.

    cardSavedIndicator string

    Indicates the length of time that the payment account was enrolled in the cardholder's account with the 3DS Requestor. Values: 01 = If merchant does not save the card on their end, the deposit was processed without creating an account | 02 = If card is saved as part of this transaction flow | 03 = Card was saved less than 30 days ago | 04 = Card was saved between 30 and 60 days ago, endpoints included | 05 = Card was saved more than 60 days ago

    Possible values: [01, 02, 03, 04, 05]

    nameIndicator string

    Indicates if the cardholder name on the account is identical to the shipping name used for this transaction. Values: 01 = Account name identical to shipping name | 02 = Account name different than shipping name

    Possible values: [01, 02]

    passwordChangeDate date

    Date that cardholder's account with the 3DS Requestor had a password change or account reset in format: YYYYMMDD.

    purchasesCount6M integer

    Number of purchases with this cardholder account during the previous six months.

    registrationDate date

    Date that the cardholder opened the account with the 3DS Requestor in the format: YYYYMMDD.

    resetIndicator string

    Indicates the length of time since the cardholder's account with the 3DS Requestor had a password change or account reset. Values: 01 = No change | 02 = Changed during this transaction | 03 = Less than 30 days | 04 = 30–60 days | 05 = More than 60 days

    Possible values: [01, 02, 03, 04, 05]

    suspiciousActivityIndicator string

    Indicates whether the 3DS Requestor has experienced suspicious activity (including previous fraud) on the cardholder account. Values: 01 = No suspicious activity has been observed | 02 = Suspicious activity has been observed

    Possible values: [01, 02]

    transactionsCount1Y integer

    Number of transactions (successful and abandoned) for this cardholder account with the 3DS Requestor across all payment accounts in the previous year.

    transactionsCount24H integer

    Number of transactions (successful and abandoned) for this cardholder account with the 3DS Requestor across all payment accounts in the previous 24 hours.

    giftCard

    object

    count integer

    For a prepaid or gift card purchase, the total number of individual prepaid or gift cards/codes purchased.

    Possible values: >= 1

    totalAmount number

    For a prepaid or gift card purchase, the total purchase amount of prepaid or gift card(s) in major units (for example, USD 123.45 is 123).

    currency string

    For a prepaid or gift card purchase, the 3-letter ISO currency code of the gift card.

    Possible values: >= 3 characters and <= 3 characters

    delivery

    object

    deliveryEmail string

    For electronic delivery, the email address to which the merchandise was delivered.

    timeFrame string

    Values: 01 = Electronic Delivery | 02 = Same day shipping | 03 = Overnight shipping | 04 = 2-day or more shipping

    Possible values: [01, 02, 03, 04]

    preOrder

    object

    Indicates whether the cardholder is placing an order for merchandise with a future availability or release date.

    date date
    purchaseIndicator string

    Indicates whether the cardholder is placing an order for merchandise with a future availability or release date. Values: 01 = Merchandise available | 02 = Future availability

    Possible values: [01, 02]

    reorderItemsIndicator ReorderItemsIndicator (string)

    Indicates whether the cardholder is reordering previously purchased merchandise. Values: 01 = First time ordered | 02 - Reordered

    Possible values: [01, 02]

    shippingIndicator ShippingIndicator (string)

    Indicates the selected shipping method for the transaction. Values: 01 = Ship to cardholder's billing address | 02 = Ship to another verified address on file with merchant | 03 = Ship to address that is different than the cardholder's billing address | 04 = Ship to Store/Pickup at local store (store address shall be populated in shipping address parameters) | 05 = Digital goods (includes online services, electronic gift cards and redemption codes) | 06 = Travel and event tickets, not shipped | 07 = Other (for example: gaming, digital services not shipped, e-media subscriptions, etc.)

    Possible values: [01, 02, 03, 04, 05, 06, 07]

    merchantUrl string

    The URL of the merchant’s fully qualified website.

    challengeWindowSize ChallengeWindowSize (string)required

    The dimensions of the challenge window. Values: 01 = 250 x 400 | 02 = 390 x 400 | 03 = 500 x 600 | 04 = 600 x 400 | 05 = Full screen

    Possible values: [01, 02, 03, 04, 05]

    platformType PlatformType (string)

    The device channel. Values: 01 = SDK | 02 = Browser

    Possible values: [01, 02]

    Default value: 02
    externalRiskScore integer

    If you wish to request an exemption prior to the Authentication request when Nuvei is your 3DS MPI, you should provide the risk assessment that you have calculated for the transaction. Alternatively, you can use this parameter during an Authorization request without any prior authentication when the transaction amount allows it. Please contact our Risk Team to set the risk score below which an exemption can be given. Valid values are 0–100 where 0 is lowest risk and 100 is the highest risk.
    To activate sale3D and enable liability shift, include continueWithoutLiabilityShift=true in your request.
    For low risk scores, this may result in non-3D processing.
    For high risk scores, this may result in 3DS authentication
    NOTE: Nuvei’s Fraud Engine considers this value if coordinated in advance with our Risk Team

    Possible values: <= 100

    excludeForPaymentMethods ThreeDExclusionPaymentMethod (string)[]

    Possible values: [Card, ApplePay, GooglePay, Paze, Click2Pay, NetworkToken], >= 1

    preventOverride preventOverride (string)[]

    An array of fields that cannot be overridden on the order.

    Possible values: >= 1

    openAmount

    object

    Object for providing minimum and maximum amounts for open amount functionality.

    min numberrequired
    max numberrequired
    amountSuggestions Amount (number)[]

    paymentMethodOverrides

    object[]

  • Array [

  • name string
    Example: payPal
    min number
    Example: 0.1
    max number
    Example: 500
    amountSuggestions Amount (number)[]
  • ]

  • aftDetails

    object

    aftOverride AftOverride (boolean)

    true or false

    recipientDetails

    object

    firstName string

    Possible values: <= 30 characters

    middleName string

    Possible values: <= 40 characters

    lastName string

    Possible values: <= 40 characters

    email string

    Possible values: <= 100 characters

    phone string

    Possible values: <= 18 characters

    address stringdeprecated

    Possible values: non-empty

    addressLine2 stringdeprecated

    Possible values: non-empty

    identificationType Identification Type Code (string)

    Possible values: [DateOfBirth, CustomerId, NationalId, PassportNumber, DriverLicense, TaxId, CompanyRegistrationNumber, ProxyId, SocialSecurityNumber, AlienRegistrationNumber, LawEnforcementId, MilitaryId, TravelId, Email, PhoneNumber]

    identificationValue Identification Value (string)

    Possible values: <= 100 characters

    cardHolderEntityType Cardholder Entity Type (string)

    Possible values: [Business, Individual]

    accountReference RecipientAccountReference (string)

    Possible values: <= 34 characters

    addressDetails

    object

    address string

    Possible values: non-empty and <= 100 characters

    addressLine2 string

    Possible values: non-empty and <= 100 characters

    street string

    Possible values: <= 100 characters

    zip string

    Possible values: <= 25 characters

    city string

    Possible values: <= 30 characters

    state string

    Possible values: <= 2 characters

    countryCode string

    Possible values: <= 2 characters

    mcc string

    Enables merchants to provide multiple MCC codes, subject to approval by Nuvei’s underwriting team.

    feeOriginCountryCode string

    Possible values: >= 2 characters and <= 2 characters

    digitalAssetType DigitalAssetType (string)

    Possible values: [Default, CBDC, TokenizedDeposit, Stablecoin, NativeToken, NFT]

    extendedData

    PaymentsExtendedData

    risk

    object

    buyerRiskDetails

    object

    customerSince date-time
    signUpIp string
    popularityScore PopularityScore (string)

    Possible values: [low, medium, high]

    isExistingCustomer boolean
    isLoyaltyFlagExists boolean

    recipientRiskDetails

    object

    businessName string
    signUpIp string
    popularityScore PopularityScore (string)

    Possible values: [low, medium, high]

    customerSince date-time
    phoneCreateDate date-time

    buyerRecipientInteraction

    object

    firstInteractionAt date-time
    interaction3Months InteractionFrequency (string)

    Possible values: [low, medium, high]

    interactionFrequency InteractionFrequency (string)

    Possible values: [low, medium, high]

    firstInteractionWithApp date-time

    transactionMetrics

    object

    transactionsCount1H integer
    transactionsCount24H integer
    transactionsCount3Months integer
    transactionsCountTotal integer
    numberTopUps24H integer
    numberTopUpReceivers integer
    chargebacksIndicator ChargebacksIndicator (string)

    Possible values: [zero, low, medium, high]

    isTangible boolean

    paymentFlow

    object

    paymentConsentMode PaymentConsentMode (string)

    Possible values: [automatic, manual]

    highRiskItemFlag boolean
    verticalCategory string
    isTangible boolean

    deliveryInfo

    object

    deliveryMethod string
    deliveryAddressChangedAt date-time

    travelBookingInfo

    object

    type string
    serviceStartAt date-time
    serviceEndAt date-time
    changeGuestAllowed boolean
    startCountry string
    endCountry string
    startCity string
    endCity string
    startZipCode string
    endZipCode string
    startSpot string
    endSpot string

    geoLocation

    object

    storeLatitude string
    storeLongitude string
    senderLatitude string
    senderLongitude string

    merchantScores

    object

    multiCardUsageIndicator integer

    Indication of 2 cards transaction. Values: 0 - not a multicard transaction 1 - multicard transaction with 1st card 2 - multicard transaction with 2nd card

    identityRiskScore number
    phoneVerificationRiskScore number

    storeInfo

    object

    storeId string

    customData

    object

    stringOne string
    stringTwo string
    intOne integer

    localPayment

    object

    vatAmount number

    VAT tax amount calculated by the merchant in domestic currency

    nationalConsumptionTaxAmount number

    Consumption tax amount calculated by the merchant in domestic currency

    taxBase

    object

    amount number

    Purchase amount in domestic currency on which taxes were calculated

    currencyCode string

    ISO-4217 alpha-3 currency code

    Possible values: >= 3 characters and <= 3 characters

    tipAmount number

    Tip amount paid during the purchase transaction

    airportChargeAmount number

    Airport charge portion of an airline ticket purchase

    nationalId string

    Cardholder national identification number

    installments

    object

    numberOfInstallments integer
    type string

    Possible values: [deferredWithInterest, deferredWithoutInterest, deferredWithoutInterestAndGracePeriod]

    fundAnticipationType string

    Possible values: [fundedPerOriginalPlan, fundedAfter1Day, fundedAfter30Days]

    debitType string

    Possible values: [singularPayment, installments, specialDebit]

    lodging

    object

    reservationDetails

    object

    purchaseId string

    Merchant reference

    customerServicePhone string

    Customer service phone number

    noShowIndicator NoShowIndicator (string)

    Possible values: [NotApplicable, NoShow]

    extraCharges LodgingExtraCharges (string)

    Possible values: [PositionNotUsed, Reserved, Restaurant, GiftShop, MiniBar, Telephone, Other, Laundry]

    checkInDate string

    Check-in date in YYYYMMDD format

    checkOutDate string

    Check-out date in YYYYMMDD format

    propertyPhone string

    Property phone number

    lodgingName string

    Hotel or cruise name

    lodgingType LodgingType (string)

    Possible values: [Cruise, Hotel]

    totalAuthAmount number

    Total authorized amount

    rooms

    object

    rate number

    Daily room rate

    nights integer

    Total number of nights

    passengerDetails

    object[]

    List of passengers

  • Array [

  • fullName string

    Full name of the passenger

  • ]

  • segments

    object[]

    Departure leg dates, up to 4

    Possible values: <= 4

  • Array [

  • departureDate string

    Departure date in YYYYMMDD format

  • ]

  • airlines

    object

    pnrCode string

    Passenger Name Record identifier in airline reservation system

    bookingSystemUniqueId string

    Unique reservation identifier in the GDS

    computerizedReservationSystem string

    CRS name, e.g. Amadeus, Sabre, Galileo

    ticketNumber string

    Primary airline ticket number

    documentType string

    Document type, typically TKT (e-ticket) or OT

    flightDateUtc date-time

    UTC date/time of first flight leg

    issueDateUtc date-time

    UTC timestamp of last ticket issue or reissue

    travelAgencyCode string

    IATA agency code

    travelAgencyName string

    Travel agency name

    travelAgencyInvoiceNumber string

    Agency invoice reference

    travelAgencyPlaneName string

    Aircraft type ICAO code (e.g., B737)

    restrictedTicketIndicator RestrictedTicketIndicator (string)

    Possible values: [Restricted, NotRestricted]

    issuingCarrierCode string

    Two-letter IATA issuing airline code

    Possible values: >= 2 characters and <= 2 characters

    isPayerTraveling boolean

    Indicates whether the payer is a passenger

    passengersCount integer

    Total number of passengers (excluding infants)

    infantsCount integer

    Number of infants

    payerPassportId string

    Passport identifier of payer

    totalAmounts

    object

    fare number

    Total fare excluding taxes and fees

    taxes number

    Total tax amount

    fee number

    Total fees

    boardingFee number

    Boarding or service fee

    ticketIssueAddress string

    Ticket issuing location

    ancillaryServices

    object[]

  • Array [

  • passenger

    object

    firstName string
    lastName string

    flight

    object

    ticketNumber string

    services

    object[]

  • Array [

  • categoryCode string
    subCategoryCode string
    amount number
    currency string

    Possible values: >= 3 characters and <= 3 characters

    ticketNumber string
  • ]

  • ]

  • flightLegsDetails

    object[]

    Possible values: <= 4

  • Array [

  • airlineCode stringrequired

    Two-letter IATA airline code

    Possible values: >= 2 characters and <= 2 characters

    flightNumber stringrequired

    Airline flight number

    Possible values: non-empty

    departureDate date-timerequired

    Local departure airport date/time

    arrivalDate date-timerequired

    Local arrival airport date/time

    departureCountry stringrequired

    ISO-2 country code

    Possible values: >= 2 characters and <= 2 characters

    departureCity string

    Departure city name

    departureAirport stringrequired

    IATA 3-letter departure airport code

    Possible values: >= 3 characters and <= 3 characters

    destinationCountry stringrequired

    ISO-2 country code

    Possible values: >= 2 characters and <= 2 characters

    destinationCity string

    Destination city name

    destinationAirport stringrequired

    IATA 3-letter destination airport code

    Possible values: >= 3 characters and <= 3 characters

    type LegType (string)required

    Domestic or International

    Possible values: [Domestic, International]

    flightType FlightType (string)

    RoundTrip or OneWay. Required when Risk pre-Auth is enabled

    Possible values: [RoundTrip, OneWay]

    ticketDeliveryMethod string

    For example - P physical or E electronic.

    ticketDeliveryRecipient string

    Ticket recipient name

    fareBasisCode string

    Fare basis or booking code

    serviceClass string

    Cabin or service class

    seatClass string

    Seat or fare class

    stopOverCode StopOverCode (string)required

    O - destination, X - connection, or - blank

    Possible values: non-empty and <= 1 characters, [O, X, ]

    departureTaxAmount number

    Departure tax amount

    departureTaxCurrency string

    ISO-3 currency code

    Possible values: >= 3 characters and <= 3 characters

    fareAmount number

    Fare amount for this leg

    feeAmount number

    Fees for this leg

    taxAmount number

    Taxes for this leg

    layoutInterval integer

    Minutes between legs

  • ]

  • passengersDetails

    object[]

    Possible values: <= 10

  • Array [

  • passportNumber string

    Passport number exactly as printed

    customerCode string

    Airline customer identifier

    frequentFlyerCode string

    Loyalty program number

    title string

    Passenger title, e.g. Mr, Ms, Dr

    firstName stringrequired

    Passenger first name

    Possible values: non-empty

    lastName stringrequired

    Passenger last name

    Possible values: non-empty

    middleName string

    Required if present on passport

    passengerName string

    Full passenger name as shown on the ticket

    dateOfBirth date

    Date of birth, YYYY-MM-DD

    phone string

    Passenger contact phone number

  • ]

  • marketplace

    object

    description string

    sellerDetails

    object[]

  • Array [

  • uniqueAccountIdentifier

    object

    phone string
    email string
    other string

    subMerchant

    object

    id string
    name string
    zip string

    productDetails

    object

    category string
    name string

    accountDetails

    object

    registrationDate date-time

    accountLastModified

    object

    password date-time
    email date-time
    listing date-time
    login date-time
    address date-time
    sellerRating number
    numberOfTrades number
    volumeOfTrades number
  • ]

  • buyerDetails

    object[]

  • Array [

  • uniqueAccountIdentifier

    object

    phone string
    email string
    other string

    accountDetails

    object

    registrationDate date-time

    accountLastModified

    object

    password date-time
    email date-time
    listing date-time
    login date-time
    address date-time
    numberOfTrades number
    volumeOfTrades number
  • ]

Responses

OK

Schema

    sessionId string

    A temporary access token that can be used to perform an action on an order.

    Example: sid_4980d755d3f64304a0cbf9b0778faff8

    result

    object

    required

    status stringrequired

    The transaction status.

    Possible values: [error, success, pending]

    errors

    object

    If an error occurred on the request side, an error code is returned in this parameter.

    code stringrequired

    If an error occurred on the request side, an error code is returned in this parameter.

    Possible values: <= 11 characters

    Example: 7000.1000
    reason string

    If an error occurred on the request side, then an error reason is returned in this parameter.

    Possible values: <= 400 characters

    Example: Internal Processing Error
    reference string

    Reference value for troubleshooting

    Possible values: <= 400 characters

    Example: 110.1260
Loading...